<?php
defined('BASEPATH') OR exit('No direct script access allowed');
//define('KEY','AAAAlwr9C0g:APA91bGDvCkePC2E__03Jm6U3Jz8046DyZN4I-NlwisBhxT0GgpesJ1ZXLvdz5EqeR58Q8f0_Af-tpclYU7X1Eo4FHm34nzXUnrifgLoeFDMtjH77FoxvkHICFWQFt04Az5riiDtIalW');
class Register extends CI_Controller {
	
	function __construct()
	{
		parent::__construct();
		date_default_timezone_set("Asia/Kolkata");
		$this->load->library(array('form_validation'));
		$this->load->library('session');
		//echo 'hii';exit;
		$this->load->helper('url','form','HTML');
		$this->load->library('Notifications');
		$this->is_logged_in();
		$this->load->model('hospital_admin/registermodel');
		$this->db->query('SET SESSION sql_mode =
                  REPLACE(REPLACE(REPLACE(
                  @@sql_mode,
                  "ONLY_FULL_GROUP_BY,", ""),
                  ",ONLY_FULL_GROUP_BY", ""),
                  "ONLY_FULL_GROUP_BY", "")');
	}

 public function is_logged_in(){
	$is_logged = $this->session->userdata('user_info');
	if(!empty($is_logged)){
        $is_logged_in = $is_logged['is_logged_in'];
    	if(!isset($is_logged_in) || $is_logged_in != TRUE){
    		redirect('hospitals/login', 'refresh');
    	}
	}else{
	    redirect('hospitals/login', 'refresh');
	}
}

/*required_functions*/
public function session_data(){
    $is_logged = $this->session->userdata('user_info');
    return $is_logged['user_id'];
}
/*required_functions*/

/*index*/
public function index(){
	$this->load->view('hospitals/includes/header');
	//$this->load->view('admin/home',$data);
	$this->load->view('hospitals/includes/footer');
}
/*index*/

/*public_relation_agents*/
public function public_relation_agents(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/public_relation_agents');
	$this->load->view('hospitals/includes/footer');
}
public function get_public_relation_agents(){
    $sess_data = $this->session_data();
    
    $limit  = $this->input->post("length"); // Number of records per page
    $start  = $this->input->post("start"); // Offset
    $search = $this->input->post("search")["value"] ?? ""; // Search Query

    //echo $search;exit;
    
    // Get Users with Pagination
    $data = $this->registermodel->get_public_relation_agents($sess_data,$limit,$start,$search);
    
    // Get Total Users Count
    $totalRecords = $this->registermodel->get_public_relation_agents_count($sess_data,$search);

    // Return Response
    $response = [
        "draw" => intval($this->input->post("draw")),
        "recordsTotal" => $totalRecords,
        "recordsFiltered" => $totalRecords,
        "data" => $data
    ];

    echo json_encode($response);
}
public function change_public_relation_agent_status(){
    $id = $this->input->post('id');
    $status = $this->input->post('status');
    $this->registermodel->common_update('pr_agents',['status' => $status],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function add_public_relation_agent(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/add_public_relation_agent');
	$this->load->view('hospitals/includes/footer');
}
public function insert_public_relation_agent(){
    $sess_data = $this->session_data();
    $mobile = $this->input->post('mobile');
    $check = $this->registermodel->common_fetch('pr_agents',['mobile' => $mobile,'delete_status' => 1]);
    if(!empty($check)){
        echo json_encode(['success' => false, 'message' => 'data inserted already']);
        return;
    }else{
        $config['upload_path']			= 'assets/admin/pr_agents/';
    	$config['allowed_types']        = 'jpeg|jpg|png';
    	$config['file_name']            = time();
    	//$config['max_size']             = 2048;
    	//print_r($config);exit;
    	$this->load->library('upload',$config);
    	$this->upload->initialize($config,true);
    	if (!$this->upload->do_upload('image')) {
            // File upload failed
            $error = $this->upload->display_errors();
            echo json_encode(['success' => false, 'message' => 'File upload error: ' . $error]);
            return;
        }
        
        // File upload success
        $uploadData = $this->upload->data();
        $photo = 'assets/admin/pr_agents/'.$uploadData['file_name'];
    
        $data = [
            'main_data_id'      => $sess_data,
            'name'              => $this->input->post('name'),
            'mobile'            => $this->input->post('mobile'),
            'image'             => $photo,
            'created_on'        => date('Y-m-d H:i:s')
        ];
    
        $insert = $this->registermodel->common_insert('pr_agents',$data);
        echo json_encode(['success' => true, 'message' => 'data added successfully']);
        return;
    }
}
public function edit_public_relation_agent($id){
   $data['public_relation_agent'] = $this->registermodel->common_fetch('pr_agents',['id' => base64_decode($id)]);
   $this->load->view('hospitals/includes/header');
   $this->load->view('hospitals/edit_public_relation_agent',$data);
   $this->load->view('hospitals/includes/footer');
}
public function edit_public_relation_agent_data($id){
    $image = $this->input->post('image');
	if($_FILES['image']['name']!==""){
		$config['upload_path']			= 'assets/admin/pr_agents/';
		$config['allowed_types']        = 'jpeg|jpg|png';
		$config['file_name']            = time();
		$config['max_size']             = 2000;
		/* $config['max_width']         	= 480;
		$config['max_height']           = 160; */
		//print_r($config);exit;
		$this->load->library('upload',$config);
		$this->upload->initialize($config,true);
		if($this->upload->do_upload('image')){
			//echo 'hi';exit;
			$filedata = $this->upload->data();
			$image = 'assets/admin/pr_agents/'.$filedata['file_name'];
			//echo $image;exit;
		}else{
			$error = $this->upload->display_errors();
            echo json_encode(['success' => false, 'message' => 'File upload error: ' . $error]);
            return;
		}
	}
	$data = [
	   'name'           => $this->input->post('name'),
	   'image'          => $image,
	   'modified_on'    => date('Y-m-d H:i:s')
	];
    $update 	= $this->registermodel->common_update('pr_agents',$data,['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function delete_public_relation_agent(){
    $id = $this->input->post('id');
    $fetch = $this->registermodel->common_fetch('pr_agents',['id' => $id]);
    unlink($fetch[0]['image']);
    $this->registermodel->common_update('pr_agents',['delete_status' => 0],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data deleted successfully']);
    return;
}
/*public_relation_agents*/

/*ambulances*/
public function ambulances(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/ambulances');
	$this->load->view('hospitals/includes/footer');
}
public function get_ambulances(){
    $sess_data = $this->session_data();
    
    $limit  = $this->input->post("length"); // Number of records per page
    $start  = $this->input->post("start"); // Offset
    $search = $this->input->post("search")["value"] ?? ""; // Search Query

    //echo $search;exit;
    
    // Get Users with Pagination
    $data = $this->registermodel->get_ambulances($sess_data,$limit,$start,$search);
    
    // Get Total Users Count
    $totalRecords = $this->registermodel->get_ambulances_count($sess_data,$search);

    // Return Response
    $response = [
        "draw" => intval($this->input->post("draw")),
        "recordsTotal" => $totalRecords,
        "recordsFiltered" => $totalRecords,
        "data" => $data
    ];

    echo json_encode($response);
}
public function change_ambulance_status(){
    $id = $this->input->post('id');
    $status = $this->input->post('status');
    $this->registermodel->common_update('ambulance_drivers',['status' => $status],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function add_ambulance(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/add_ambulance');
	$this->load->view('hospitals/includes/footer');
}
public function insert_ambulance(){
    $sess_data = $this->session_data();
    $mobile = $this->input->post('mobile');
    $reg_number = $this->input->post('reg_number');
    $check_mobile = $this->registermodel->common_fetch('ambulance_drivers',['mobile' => $mobile,'delete_status' => 1]);
    $check_reg_number = $this->registermodel->common_fetch('ambulance_drivers',['vehicle_number' => $reg_number,'delete_status' => 1]);
    if(!empty($check_mobile)||!empty($check_reg_number)){
        echo json_encode(['success' => false, 'message' => 'mobile or vehicle number inserted already']);
        return;
    }else{
        $config['upload_path']			= 'assets/admin/drivers/';
    	$config['allowed_types']        = 'jpeg|jpg|png';
    	$config['file_name']            = time();
    	//$config['max_size']             = 2048;
    	//print_r($config);exit;
    	$this->load->library('upload',$config);
    	$this->upload->initialize($config,true);
    	if (!$this->upload->do_upload('image')) {
            // File upload failed
            $error = $this->upload->display_errors();
            echo json_encode(['success' => false, 'message' => 'File upload error: ' . $error]);
            return;
        }
        
        // File upload success
        $uploadData = $this->upload->data();
        $photo = 'assets/admin/drivers/'.$uploadData['file_name'];
    
        $data = [
            'main_data_id'      => $sess_data,
            'name'              => $this->input->post('name'),
            'vehicle_number'    => $this->input->post('reg_number'),
            'mobile'            => $this->input->post('mobile'),
            'image'             => $photo,
            'created_on'        => date('Y-m-d H:i:s')
        ];
    
        $insert = $this->registermodel->common_insert('ambulance_drivers',$data);
        echo json_encode(['success' => true, 'message' => 'data added successfully']);
        return;
    }
}
public function edit_ambulance($id){
   $data['ambulance'] = $this->registermodel->common_fetch('ambulance_drivers',['id' => base64_decode($id)]);
   $this->load->view('hospitals/includes/header');
   $this->load->view('hospitals/edit_ambulance',$data);
   $this->load->view('hospitals/includes/footer');
}
public function edit_ambulance_data($id){
    $image = $this->input->post('image');
	if($_FILES['image']['name']!==""){
		$config['upload_path']			= 'assets/admin/drivers/';
		$config['allowed_types']        = 'jpeg|jpg|png';
		$config['file_name']            = time();
		$config['max_size']             = 2000;
		/* $config['max_width']         	= 480;
		$config['max_height']           = 160; */
		//print_r($config);exit;
		$this->load->library('upload',$config);
		$this->upload->initialize($config,true);
		if($this->upload->do_upload('image')){
			//echo 'hi';exit;
			$filedata = $this->upload->data();
			$image = 'assets/admin/drivers/'.$filedata['file_name'];
			//echo $image;exit;
		}else{
			$error = $this->upload->display_errors();
            echo json_encode(['success' => false, 'message' => 'File upload error: ' . $error]);
            return;
		}
	}
	$data = [
	   'name'           => $this->input->post('name'),
	   'vehicle_number' => $this->input->post('reg_number'),
	   'image'          => $image,
	   'modified_on'    => date('Y-m-d H:i:s')
	];
	// Check if the category is inserted already
    $reg_number = $this->input->post('reg_number');
    $check_with_same_name = $this->registermodel->common_fetch('ambulance_drivers', ['vehicle_number' => $reg_number,'id!=' => $id,'delete_status' => 1]);

    if ($check_with_same_name) {
        echo json_encode(['success' => false, 'message' => 'vehicle number is added already']);
        return;
    }
    $update 	= $this->registermodel->common_update('ambulance_drivers',$data,['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function delete_ambulance(){
    $id = $this->input->post('id');
    $fetch = $this->registermodel->common_fetch('ambulance_drivers',['id' => $id]);
    unlink($fetch[0]['image']);
    $this->registermodel->common_update('ambulance_drivers',['delete_status' => 0],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data deleted successfully']);
    return;
}
/*ambulances*/

/*doctors*/
public function doctors(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/doctors');
	$this->load->view('hospitals/includes/footer');
}
public function get_doctors(){
    $sess_data = $this->session_data();
    
    $limit  = $this->input->post("length"); // Number of records per page
    $start  = $this->input->post("start"); // Offset
    $search = $this->input->post("search")["value"] ?? ""; // Search Query

    //echo $search;exit;
    
    // Get Users with Pagination
    $data = $this->registermodel->get_doctors($sess_data,$limit,$start,$search);
    //echo $this->db->last_query();exit;
    // Get Total Users Count
    $totalRecords = $this->registermodel->get_doctors_count($sess_data,$search);

    // Return Response
    $response = [
        "draw" => intval($this->input->post("draw")),
        "recordsTotal" => $totalRecords,
        "recordsFiltered" => $totalRecords,
        "data" => $data
    ];

    echo json_encode($response);
}
public function change_doctor_status(){
    $id = $this->input->post('id');
    $status = $this->input->post('status');
    $this->registermodel->common_update('doctors',['status' => $status],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function add_doctor(){
    $sess_data = $this->session_data();
    $main_data = $this->registermodel->common_fetch('main_data',['id' => $sess_data]);
    $data['specialities'] = $this->registermodel->main_data_specialities($sess_data);
    $data['medical_degrees'] = $this->registermodel->common_fetch('medical_degrees',['status' => 1,'delete_status' => 1]);
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/add_doctor',$data);
	$this->load->view('hospitals/includes/footer');
}
public function insert_doctor(){
    $sess_data = $this->session_data();
    
    $mobile = $this->input->post('mobile');
    $check_mobile = $this->registermodel->common_fetch('doctors',['mobile' => $mobile,'delete_status' => 1]);
    if(!empty($check_mobile)){
        echo json_encode(['success' => false, 'message' => 'mobile number is inserted already']);
        return;
    }else{
    
        $config['upload_path']			= 'assets/admin/doctors/';
    	$config['allowed_types']        = 'jpeg|jpg|png';
    	$config['file_name']            = time();
    	//$config['max_size']             = 2048;
    	//print_r($config);exit;
    	$this->load->library('upload',$config);
    	$this->upload->initialize($config,true);
    	if (!$this->upload->do_upload('image')) {
            // File upload failed
            $error = $this->upload->display_errors();
            echo json_encode(['success' => false, 'message' => 'File upload error: ' . $error]);
            return;
        }
        
        // File upload success
        $uploadData = $this->upload->data();
        $photo = 'assets/admin/doctors/'.$uploadData['file_name'];
        $main_data = $this->registermodel->common_fetch('main_data',['id' => $sess_data]);
        $specialization = $this->registermodel->common_fetch('specialities',['id' => $this->input->post('speciality_id')]);
        $qualification     = $this->input->post('qualification');
        $quaf = implode(',',$qualification);
        $data = [
            'main_data_id'      => $sess_data,
            'cat_id'            => $main_data[0]['cat_id'],
            /*'sub_cat_id'        => $main_data[0]['sub_cat_id'],
            'sub_sub_cat_id'    => $main_data[0]['sub_sub_cat_id'],*/
            'speciality_id'     => $this->input->post('speciality_id'),
            'name'              => $this->input->post('name'),
            'mobile'            => $this->input->post('mobile'),
            'image'             => $photo,
            'qualification'     => $quaf,
            'specialization'    => $specialization[0]['name'],
            'exp'               => $this->input->post('exp'),
            'description'       => $this->input->post('description'),
            'online_fee'        => $this->input->post('online_fee'),
            'offline_fee'       => $this->input->post('offline_fee'),
            'consult_type'      => $this->input->post('consult_type'),
            'unique_id'         => $this->input->post('unique_id'),
            'created_on'        => date('Y-m-d H:i:s')
        ];
    
        $insert     = $this->registermodel->common_insert('doctors',$data);
        echo json_encode(['success' => true, 'message' => 'data added successfully']);
        return;
    }
}
public function edit_doctor($id){
    $sess_data = $this->session_data();
    $main_data = $this->registermodel->common_fetch('main_data',['id' => $sess_data]);
    $data['specialities'] = $this->registermodel->main_data_specialities($sess_data);
    $data['medical_degrees'] = $this->registermodel->common_fetch('medical_degrees',['status' => 1,'delete_status' => 1]);
    //echo $this->db->last_query();exit;
    $data['doctor'] = $this->registermodel->common_fetch('doctors',['id' => base64_decode($id)]);
    $data['selected_qualifications'] = explode(',', $data['doctor'][0]['qualification']); // If stored as comma-separated string
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/edit_doctor',$data);
	$this->load->view('hospitals/includes/footer');
}
public function edit_doctor_data($id){
    $image = $this->input->post('image');
	if($_FILES['image']['name']!==""){
		$config['upload_path']			= 'assets/admin/doctors/';
		$config['allowed_types']        = 'jpeg|jpg|png';
		$config['file_name']            = time();
		$config['max_size']             = 2000;
		/* $config['max_width']         	= 480;
		$config['max_height']           = 160; */
		//print_r($config);exit;
		$this->load->library('upload',$config);
		$this->upload->initialize($config,true);
		if($this->upload->do_upload('image')){
			//echo 'hi';exit;
			$filedata = $this->upload->data();
			$image = 'assets/admin/doctors/'.$filedata['file_name'];
			//echo $image;exit;
		}else{
			$error = $this->upload->display_errors();
            echo json_encode(['success' => false, 'message' => 'File upload error: ' . $error]);
            return;
		}
	}
	$data = [
	   'name'              => $this->input->post('name'),
       'image'             => $image,
       'exp'               => $this->input->post('exp'),
       'description'       => $this->input->post('description'),
       'online_fee'        => $this->input->post('online_fee'),
       'online_fee'        => $this->input->post('online_fee'),
       'consult_type'      => $this->input->post('consult_type'),
	   'modified_on'        => date('Y-m-d H:i:s')
	];
	
    $update 	= $this->registermodel->common_update('doctors',$data,['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function delete_doctor(){
    $id = $this->input->post('id');
    $fetch = $this->registermodel->common_fetch('doctors',['id' => $id]);
    unlink($fetch[0]['image']);
    $this->registermodel->common_update('doctors',['delete_status' => 0],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data deleted successfully']);
    return;
}
/*doctors*/

/*doctor_slots*/
public function get_slots_by_date() {
    $selected_date = $this->input->post('date'); // e.g., '2025-05-29'
    $sess_data = $this->session_data();
    $main_data = $this->registermodel->common_fetch('main_data', ['id' => $sess_data]);

    $open_time = date('H:i', strtotime($main_data[0]['open_time']));
    $close_time = date('H:i', strtotime($main_data[0]['close_time']));
    $current_date = date('Y-m-d');

    if ($selected_date == $current_date) {
        $now = time();
        $rounded_now = ceil($now / (10 * 60)) * (10 * 60);
        $start_time = max(strtotime($open_time), $rounded_now);
        $start_time_formatted = date('H:i', $start_time);
    } else {
        $start_time_formatted = $open_time;
    }

    $slots = $this->generate_time_slots($start_time_formatted, $close_time);

    echo json_encode($slots);
}
public function generate_time_slots($start_time, $end_time, $interval = 10) {
    $slots = [
        'morning' => [],
        'afternoon' => [],
        'evening' => []
    ];

    $start_timestamp = strtotime($start_time);
    $end_timestamp = strtotime($end_time);

    while ($start_timestamp <= $end_timestamp) {
        $slot = date('h:i A', $start_timestamp); // Format: 10:30 AM
        $hour = (int)date('H', $start_timestamp);

        if ($hour >= 0 && $hour < 12) {
            $slots['morning'][] = ['time' => $slot];
        } elseif ($hour >= 12 && $hour < 17) {
            $slots['afternoon'][] = ['time' => $slot];
        } else {
            $slots['evening'][] = ['time' => $slot];
        }

        $start_timestamp = strtotime("+{$interval} minutes", $start_timestamp);
    }

    return $slots;
}
public function slots() {
    $sess_data = $this->session_data();
    $main_data = $this->registermodel->common_fetch('main_data', ['id' => $sess_data]);

    $open_time = date('H:i', strtotime($main_data[0]['open_time']));   // Convert to 24-hour format
    $close_time = date('H:i', strtotime($main_data[0]['close_time'])); // Convert to 24-hour format

    $today = date('Y-m-d');
    $dates = [];

    // Loop for next 30 days from today
    for ($i = 0; $i < 30; $i++) {
        $date = date('Y-m-d', strtotime("+$i day"));
        $formatted_date = date('D M Y', strtotime($date));

        // Determine start time
        if ($date == $today) {
            $current_time = time();
            $rounded_time = ceil($current_time / (10 * 60)) * (10 * 60);
            $rounded_time_formatted = date('H:i', max(strtotime($open_time), $rounded_time));
        } else {
            $rounded_time_formatted = $open_time;
        }

        // Generate time slots for the date
        $slotss = $this->generate_time_slots($rounded_time_formatted, $close_time);

        /*$dates[] = [
            'date' => $date,
            'formatted_date' => $formatted_date,
            'slots' => $slots
        ];*/
    }
    
    foreach ($slotss as $session => $times) {
        foreach ($times as $time) {
            $formatted_slots[$session][] = [
                'time' => $time // Adding time param
            ];
        }
    }
    $final['dates'] = $dates;
    $final['slots'] = $slotss;
    
    return $final['slots'];
}
public function get_filtered_slots($all_slots, $selected_date, $open_time = '09:00 am', $close_time = '09:00 pm') {
    date_default_timezone_set('Asia/Kolkata');
    
    $current_time = strtotime(date('h:i a')); // current time in 12-hr format
    $selected_timestamp = strtotime($selected_date);
    $today_timestamp = strtotime(date('Y-m-d'));

    $filtered_slots = [
        'morning' => [],
        'afternoon' => [],
        'evening' => []
    ];

    foreach (['morning', 'afternoon', 'evening'] as $period) {
        foreach ($all_slots[$period] as $slot) {
            $slot_time = strtotime($slot['time']);

            // If today, filter based on current time
            if ($selected_timestamp === $today_timestamp) {
                if ($slot_time >= $current_time && $slot_time >= strtotime($open_time) && $slot_time <= strtotime($close_time)) {
                    $filtered_slots[$period][] = $slot;
                }
            } else {
                // For future date, just use open and close range
                if ($slot_time >= strtotime($open_time) && $slot_time <= strtotime($close_time)) {
                    $filtered_slots[$period][] = $slot;
                }
            }
        }
    }

    return $filtered_slots;
}
public function doctor_slots(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/doctor_slots');
	$this->load->view('hospitals/includes/footer');
}
public function get_doctor_slots(){
    $sess_data = $this->session_data();
    
    $limit  = $this->input->post("length"); // Number of records per page
    $start  = $this->input->post("start"); // Offset
    $search = $this->input->post("search")["value"] ?? ""; // Search Query

    //echo $search;exit;
    
    // Get Users with Pagination
    $data = $this->registermodel->get_doctor_slots($sess_data,$limit,$start,$search);
    //echo $this->db->last_query();exit;
    // Get Total Users Count
    $totalRecords = $this->registermodel->get_doctor_slots_count($sess_data,$search);

    // Return Response
    $response = [
        "draw" => intval($this->input->post("draw")),
        "recordsTotal" => $totalRecords,
        "recordsFiltered" => $totalRecords,
        "data" => $data
    ];

    echo json_encode($response);
}
public function change_doctor_slot_status(){
    $id = $this->input->post('id');
    $status = $this->input->post('status');
    $this->registermodel->common_update('doctor_slots',['status' => $status],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function add_doctor_slots(){
    $sess_data = $this->session_data();
    $data['doctors'] = $this->registermodel->common_fetch('doctors',['main_data_id' => $sess_data,'status' => 1,'delete_status' => 1]);
    $data['slots'] = $this->slots();
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/add_doctor_slots',$data);
	$this->load->view('hospitals/includes/footer');
}
public function insert_doctor_slots() {
    $sess_data = $this->session_data();
    $main_data = $this->registermodel->common_fetch('main_data', ['id' => $sess_data]);

    $doctor_id = $this->input->post('doctor_id');
    $date = $this->input->post('date');
    $time_slots = $this->input->post('time');

    if (empty($time_slots)) {
        echo json_encode(['success' => false, 'message' => 'Please select at least one slot']);
        return;
    }

    $already_exists = []; // Array to store duplicate slots

    foreach ($time_slots as $times) {
        // Check if the slot already exists
        $existing_slot = $this->registermodel->common_fetch('doctor_slots', [
            'doctor_id' => $doctor_id,
            'date' => date('Y-m-d', strtotime($date)),
            'time' => $times,
            'delete_status' => 1
        ]);

        if (!empty($existing_slot)) {
            $already_exists[] = $times; // Store existing slot
            continue; // Skip insertion for this slot
        }

        // Determine session type
        $session = $this->get_session($times);
        
        $data = [
            'main_data_id'  => $main_data[0]['id'],
            'cat_id'        => $main_data[0]['cat_id'],
            'doctor_id'     => $doctor_id,
            'date'          => date('Y-m-d', strtotime($date)),
            'time'          => $times,
            'session'       => $session,
            'created_on'    => date('Y-m-d H:i:s')
        ];
        
        $this->registermodel->common_insert('doctor_slots', $data);
    }

    if (!empty($already_exists)) {
        echo json_encode(['success' => false, 'message' => 'The following slots are already inserted: ' . implode(', ', $already_exists).' but remaining selected slots are inserted']);
        return;
    }

    echo json_encode(['success' => true, 'message' => 'data added successfully']);
}
public function edit_doctor_slot($id){
    $sess_data = $this->session_data();
    $data['doctor_slot'] = $this->registermodel->common_fetch('doctor_slots',['id' => base64_decode($id)]);
    $data['doctors'] = $this->registermodel->common_fetch('doctors',['main_data_id' => $sess_data,'status' => 1,'delete_status' => 1]);
    $selected_date = $data['doctor_slot'][0]['date']; // coming from your DB
    $all_slots = $this->slots(); // all generated slots
    $filtered_slots = $this->get_filtered_slots($all_slots, $selected_date);
    $data['slots'] = $filtered_slots;

    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/edit_doctor_slot',$data);
	$this->load->view('hospitals/includes/footer');
}
public function edit_doctor_slot_data() {
    $id = $this->input->post('id');
    $doctor_id = $this->input->post('doctor_id');
    $date = $this->input->post('date');
    $time = $this->input->post('time');
    $status = $this->input->post('status'); // 1 = Add, 0 = Delete
    
    $sess_data = $this->session_data();
    $main_data = $this->registermodel->common_fetch('main_data', ['id' => $sess_data]);

    if ($status == 1) {
        // **INSERT** new slot if it doesn’t exist
        $existing_slot = $this->db->get_where('doctor_slots', [
            'doctor_id' => $doctor_id,
            'date' => $date,
            'time' => $time,
            'delete_status' => 1
        ])->row();

        if (!$existing_slot) {
            $this->db->insert('doctor_slots', [
                'main_data_id'  => $main_data[0]['id'],
                'cat_id'        => $main_data[0]['cat_id'],
                'doctor_id'     => $doctor_id,
                'date'          => $date,
                'time'          => $time,
                'created_on'    => date('Y-m-d H:i:s')
            ]);
            echo json_encode(['success' => true, 'message' => 'data added successfully']);
        } else {
            echo json_encode(['success' => false, 'message' => 'data already inserted']);
        }
    } else {
        // **UPDATE delete_status instead of deleting the record**
            $this->db->where([
                'doctor_id' => $doctor_id,
                'date' => $date,
                'time' => $time
            ])->update('doctor_slots', ['delete_status' => 0]);

        echo json_encode(['success' => false, 'message' => 'data deleted successfully']);
    }
}
private function get_session($times) {
    $hour = date('H', strtotime($times));
    if ($hour < 12) {
        return 'morning';
    } elseif ($hour < 18) {
        return 'afternoon';
    } else {
        return 'evening';
    }
}
/*doctor_slots*/

/*pharmacy*/
public function pharmacy(){
    $this->load->view('hospitals/includes/header');
	$this->load->view('hospitals/pharmacy');
	$this->load->view('hospitals/includes/footer');
}
public function get_pharmacy(){
    $sess_data = $this->session_data();
    
    $limit  = $this->input->post("length"); // Number of records per page
    $start  = $this->input->post("start"); // Offset
    $search = $this->input->post("search")["value"] ?? ""; // Search Query

    //echo $search;exit;
    
    // Get Users with Pagination
    $data = $this->registermodel->get_pharmacy($sess_data,$limit,$start,$search);
    //echo $this->db->last_query();exit;
    // Get Total Users Count
    $totalRecords = $this->registermodel->get_pharmacy_count($sess_data,$search);

    // Return Response
    $response = [
        "draw" => intval($this->input->post("draw")),
        "recordsTotal" => $totalRecords,
        "recordsFiltered" => $totalRecords,
        "data" => $data
    ];

    echo json_encode($response);
}
/*pharmacy*/



}

?>