<div class="container-xxl flex-grow-1 container-p-y">
              <h4 class="py-3 mb-4"><span class="text-muted fw-light">Add Executive</h4>
              
  <div class="row"><div class="col-md-6">
      <div class="card mb-4">
          <form method="post" action="#" id="inputform" enctype="multipart/form-data">
        <div class="card-body">
            
          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Name</label>
            <input
              type="text"
              class="form-control"
              id="exampleFormControlInput1"
              placeholder="Enter Name" name="name" required/>
          </div>
          
          <div class="mb-3">
            <label>Mobile *</label>
            <input type="tel" maxlength='10' pattern="[0-9]{10}" placeholder="Mobile" name="mobile" required class="form-control">
        </div>
        <div class="mb-3">
            <label>E-Mail *</label>
            <input type="email" placeholder="E-Mail" name="email" required class="form-control">
        </div>
        
        <div class="mb-3">
            <label>Password *</label>
            <input type="password" placeholder="Password" name="password" required class="form-control">
        </div>
        
         <div class="mb-3">
            <label>Date Of Birth *</label>
            <input type="date" placeholder="date" name="dob"  class="form-control">
        </div>
          
          <div class="mb-3">
            <label>Gender *</label>
            <select class="form-control" name="gender" required placeholder="Gender">
                <option value="">Please Select Gender *</option>
                <option value="male">Male</option>
                <option value="female">Female</option>
                <option value="other">Other</option>
            </select>
        </div>
          
          <div class="mb-3">
            <label for="exampleFormControlInput1" class="form-label">Image</label>
            <input
              type="file"
              class="form-control"
              id="exampleFormControlInput1"
               name="image" placeholder="Image"/>
          </div>
          <p style="color:red">please upload only jpg,jpeg and png format files</p>
          
          
        </div>
      </div>
       <button type="button" name="sub" value="sub" class="btn btn-success" id="saveBtn">Submit</button>
      </form>
      <a href="<?=base_url('admin/register/executives')?>"><button type="button" class="btn btn-danger">Cancel</button></a>
    </div></div>
</div>



<script>
$(document).ready(function () {
    $('#saveBtn').on('click', function () {
        let isValid = true;
        
        // Email Validation
        const emailField = $('input[name="email"]');
        const email = emailField.val().trim();
        const emailPattern = /^[^\s@]+@[^\s@]+\.[^\s@]+$/; // RegEx for a valid email format
        if (!emailPattern.test(email)) {
            isValid = false;
            emailField.addClass('is-invalid');
            showToast('Error', 'Please enter a valid email address', 'error');
        } else {
            emailField.removeClass('is-invalid').addClass('is-valid');
        }
        
        // Mobile Validation
        const mobileField = $('input[name="mobile"]');
        const mobile = mobileField.val().trim();
        const mobilePattern = /^[0-9]{10}$/; // RegEx for a 10-digit mobile number
        if (!mobilePattern.test(mobile)) {
            isValid = false;
            mobileField.addClass('is-invalid');
            showToast('Error', 'Please enter a valid 10-digit mobile number', 'error');
        } else {
            mobileField.removeClass('is-invalid').addClass('is-valid');
        }
        
        // Date of Birth Validation
        const dobField = $('input[name="dob"]');
        const dob = dobField.val().trim();

        if (dob !== '') {
            // Convert the input DOB to a Date object
            const dobDate = new Date(dob.split('/').reverse().join('/')); // Assuming format is dd/mm/yyyy
            const today = new Date();

            // Calculate the age
            const age = today.getFullYear() - dobDate.getFullYear();
            const m = today.getMonth() - dobDate.getMonth();
            if (m < 0 || (m === 0 && today.getDate() < dobDate.getDate())) {
                age--;
            }

            // Check if age is less than 18
            if (age < 18) {
                isValid = false;
                dobField.addClass('is-invalid');
                showToast('Error', 'The executive must be at least 18 years old.', 'error');
            } else {
                dobField.removeClass('is-invalid').addClass('is-valid');
            }
        } else {
            isValid = false;
            dobField.addClass('is-invalid');
            showToast('Error', 'Date of Birth is required.', 'error');
        }
        

        // Validate required fields
        $('#inputform [required]').each(function () {
            let value = $(this).val(); // Get the value
            if (Array.isArray(value)) {
                value = value.join(''); // Convert array to string
            }
            value = value ? value.toString().trim() : ''; // Convert value to string and trim

            if (value === '') {
                isValid = false;
                $(this).addClass('is-invalid'); // Add error styling
                showToast('Error', `${$(this).attr('placeholder')} is required`, 'error');
            } else {
                $(this).removeClass('is-invalid'); // Remove error styling
                $(this).addClass('is-valid'); // Mark as valid
            }
        });
        

        if (isValid) {
            // If all fields are valid, submit the form
            const form = $('#inputform')[0];
            const formData = new FormData(form);

            $.ajax({
                url: '<?= base_url("admin/register/insert_executive"); ?>', // Your endpoint
                type: 'POST',
                data: formData,
                contentType: false,
                processData: false,
                success: function (response) {
                    const res = JSON.parse(response);
                    if (res.success) {
                        showToast('Success', res.message, 'success');
                        $('#inputform')[0].reset(); // Reset the form
                        $('.form-control').removeClass('is-valid'); // Clear valid states
                    } else {
                        showToast('Error', res.message, 'error');
                    }
                },
                error: function () {
                    showToast('Error', 'An unexpected error occurred.', 'error');
                },
            });
        } else {
            // Scroll to the first invalid field
            $('html, body').animate({
                scrollTop: $('.is-invalid:first').offset().top - 100,
            }, 500);
        }
    });

    // Remove validation feedback on input
    $('#teacherForm .form-control').on('input change', function () {
        if ($(this).val().trim() !== '') {
            $(this).removeClass('is-invalid').addClass('is-valid');
        } else {
            $(this).removeClass('is-valid').addClass('is-invalid');
        }
    });
});

</script>

<!-- Toastr CSS -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" rel="stylesheet">
<!-- Toastr JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>


<script>
// Show toast using jQuery
function showToast(title, message, type) {
    toastr.options = {
        closeButton: true,
        progressBar: true,
        positionClass: "toast-top-right",
        timeOut: "3000",
    };

    if (type === 'success') {
        toastr.success(message, title);
    } else if (type === 'error') {
        toastr.error(message, title);
    } else if (type === 'info') {
        toastr.info(message, title);
    } else if (type === 'warning') {
        toastr.warning(message, title);
    }
}


</script>
            