<!DOCTYPE html>

<html
  lang="en"
  class="light-style layout-wide customizer-hide"
  dir="ltr"
  data-theme="theme-default"
  data-assets-path="<?php  echo base_url();?>assets/admin/main/"
  data-template="vertical-menu-template">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />

    <title>Dashboard</title>

    <meta name="description" content="" />

    <!-- Favicon -->
    <link rel="icon" type="image/x-icon" href="<?php  echo base_url();?>assets/admin/main/img/favicon/admin_logo.png" />

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&ampdisplay=swap"
      rel="stylesheet" />

    <!-- Icons -->
    <link rel="stylesheet" href="<?php  echo base_url();?>assets/admin/main/vendor/fonts/fontawesome.css" />
    <link rel="stylesheet" href="<?php  echo base_url();?>assets/admin/main/vendor/fonts/tabler-icons.css" />
    <link rel="stylesheet" href="<?php  echo base_url();?>assets/admin/main/vendor/fonts/flag-icons.css" />

    <!-- Core CSS -->
    <link rel="stylesheet" href="<?php  echo base_url();?>assets/admin/main/vendor/css/rtl/core.css" class="template-customizer-core-css" />
    <link rel="stylesheet" href="<?php  echo base_url();?>assets/admin/main/vendor/css/rtl/theme-default.css" class="template-customizer-theme-css" />
    <link rel="stylesheet" href="<?php  echo base_url();?>assets/admin/main/css/demo.css" />

    <!-- Vendors CSS -->
    <link rel="stylesheet" href="<?php  echo base_url();?>assets/admin/main/vendor/libs/node-waves/node-waves.css" />
    <link rel="stylesheet" href="<?php  echo base_url();?>assets/admin/main/vendor/libs/perfect-scrollbar/perfect-scrollbar.css" />
    <link rel="stylesheet" href="<?php  echo base_url();?>assets/admin/main/vendor/libs/typeahead-js/typeahead.css" />
    <!-- Vendor -->
    <link rel="stylesheet" href="<?php  echo base_url();?>assets/admin/main/vendor/libs/@form-validation/umd/styles/index.min.css" />

    <!-- Page CSS -->
    <!-- Page -->
    <link rel="stylesheet" href="<?php  echo base_url();?>assets/admin/main/vendor/css/pages/page-auth.css" />

    <!-- Helpers -->
    <script src="<?php  echo base_url();?>assets/admin/main/vendor/js/helpers.js"></script>
    <!--! Template customizer & Theme config files MUST be included after core stylesheets and helpers.js in the <head> section -->
    <!--? Template customizer: To hide customizer set displayCustomizer value false in config.js.  -->
    <script src="<?php  echo base_url();?>assets/admin/main/vendor/js/template-customizer.js"></script>
    <!--? Config:  Mandatory theme config file contain global vars & default theme options, Set your preferred theme option in this file.  -->
    <script src="<?php  echo base_url();?>assets/admin/main/js/config.js"></script>
  </head>

  <body>
    <!-- Content -->

    <div class="authentication-wrapper authentication-cover authentication-bg">
      <div class="authentication-inner row">
        <!-- /Left Text -->
        <div class="d-none d-lg-flex col-lg-6 p-0">
          <img src="./Loginpage.png" style="width: 100%;"  alt="">
        </div>
        <!-- /Left Text -->

        <!-- Login -->
        <div class="d-flex  col-lg-6 align-items-center p-sm-5 p-4">
          <div class="w-px-400 mx-auto">
            <!-- Logo -->
           
            <!-- /Logo -->
            <h3 class="mb-1">Welcome to Admin! 👋</h3>
            <p class="mb-4">Please sign-in to your account and start the adventure</p>

            <?php if($this->session->flashdata('admin_login_error')):?> 
                <div class="alert alert-danger" role="alert">
                    <?php echo $this->session->flashdata('admin_login_error'); ?>
                </div>
            <?php endif; $this->session->flashdata('admin_login_error',''); ?>

            <form id="formAuthentication" class="mb-3" method="post" action="<?php echo base_url('admin/login/check_login')?>" >
              <div class="mb-3">
                <label for="email" class="form-label"> Username</label>
                <input
                  type="text"
                  class="form-control"
                  id="user"
                  name="username"
                  placeholder="Enter your username"
                  autofocus />
              </div>
              <div class="mb-3 form-password-toggle">
                <div class="d-flex justify-content-between">
                  <label class="form-label" for="password">Password</label>
                  <!-- <a href="auth-forgot-password-cover.html">
                    <small>Forgot Password?</small>
                  </a> -->
                </div>
                <div class="input-group input-group-merge">
                  <input
                    type="password"
                    id="password"
                    class="form-control"
                    name="password"
                    placeholder="&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;"
                    aria-describedby="password" />
                  <span class="input-group-text cursor-pointer"><i class="ti ti-eye-off"></i></span>
                </div>
              </div>
              <!-- <div class="mb-3">
                <div class="form-check">
                  <input class="form-check-input" type="checkbox" id="remember-me" />
                  <label class="form-check-label" for="remember-me"> Remember Me </label> 
                </div>
              </div> -->
              <button type="submit" name="sub" value="sub" class="btn btn-primary w-100"> Sign in</button>
            </form>

            <!-- <p class="text-center">
              <span>New on our platform?</span>
              <a href="auth-register-cover.html">
                <span>Create an account</span>
              </a>
            </p> -->

            <!-- <div class="divider my-4">
              <div class="divider-text">or</div>
            </div> -->

            <!-- <div class="d-flex justify-content-center">
              <a href="javascript:;" class="btn btn-icon btn-label-facebook me-3">
                <i class="tf-icons fa-brands fa-facebook-f fs-5"></i>
              </a>

              <a href="javascript:;" class="btn btn-icon btn-label-google-plus me-3">
                <i class="tf-icons fa-brands fa-google fs-5"></i>
              </a>

              <a href="javascript:;" class="btn btn-icon btn-label-twitter">
                <i class="tf-icons fa-brands fa-twitter fs-5"></i>
              </a>
            </div> -->
          </div>
        </div>
        <!-- /Login -->
      </div>
    </div>

    <!-- / Content -->

    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->

    <script src="<?php  echo base_url();?>assets/admin/main/vendor/libs/jquery/jquery.js"></script>
    <script src="<?php  echo base_url();?>assets/admin/main/vendor/libs/popper/popper.js"></script>
    <script src="<?php  echo base_url();?>assets/admin/main/vendor/js/bootstrap.js"></script>
    <script src="<?php  echo base_url();?>assets/admin/main/vendor/libs/node-waves/node-waves.js"></script>
    <script src="<?php  echo base_url();?>assets/admin/main/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>
    <script src="<?php  echo base_url();?>assets/admin/main/vendor/libs/hammer/hammer.js"></script>
    <script src="<?php  echo base_url();?>assets/admin/main/vendor/libs/i18n/i18n.js"></script>
    <script src="<?php  echo base_url();?>assets/admin/main/vendor/libs/typeahead-js/typeahead.js"></script>
    <script src="<?php  echo base_url();?>assets/admin/main/vendor/js/menu.js"></script>

    <!-- endbuild -->

    <!-- Vendors JS -->
    <script src="<?php  echo base_url();?>assets/admin/main/vendor/libs/@form-validation/umd/bundle/popular.min.js"></script>
    <script src="<?php  echo base_url();?>assets/admin/main/vendor/libs/@form-validation/umd/plugin-bootstrap5/index.min.js"></script>
    <script src="<?php  echo base_url();?>assets/admin/main/vendor/libs/@form-validation/umd/plugin-auto-focus/index.min.js"></script>

    <!-- Main JS -->
    <script src="<?php  echo base_url();?>assets/admin/main/js/main.js"></script>

    <!-- Page JS -->
    <script src="<?php  echo base_url();?>assets/admin/main/js/pages-auth.js"></script>
  </body>
</html>
