<?php
defined('BASEPATH') OR exit('No direct script access allowed');
//define('KEY','AAAAlwr9C0g:APA91bGDvCkePC2E__03Jm6U3Jz8046DyZN4I-NlwisBhxT0GgpesJ1ZXLvdz5EqeR58Q8f0_Af-tpclYU7X1Eo4FHm34nzXUnrifgLoeFDMtjH77FoxvkHICFWQFt04Az5riiDtIalW');
class Register extends CI_Controller {
	
	function __construct()
	{
		parent::__construct();
		date_default_timezone_set("Asia/Kolkata");
		$this->load->library(array('form_validation'));
		$this->load->library('session');
		//echo 'hii';exit;
		$this->load->helper('url','form','HTML');
		$this->load->library('Notifications');
		$this->is_logged_in();
		$this->load->model('admin/registermodel');
		$this->db->query('SET SESSION sql_mode =
                  REPLACE(REPLACE(REPLACE(
                  @@sql_mode,
                  "ONLY_FULL_GROUP_BY,", ""),
                  ",ONLY_FULL_GROUP_BY", ""),
                  "ONLY_FULL_GROUP_BY", "")');
	}

 public function is_logged_in(){
	$is_logged_in = $this->session->userdata('is_logged_in');
    //print_r($is_logged_in);exit;
	if(!isset($is_logged_in) || $is_logged_in != TRUE){
		redirect('admin/login', 'refresh');
	}
}


/*notification access token*/
public function getAccessToken(){
    $serviceAccountFile = FCPATH . 'application/libraries/i-tieup-firebase.json'; // Update this path
    $jsonKey = json_decode(file_get_contents($serviceAccountFile), true);

    $header = json_encode(['alg' => 'RS256', 'typ' => 'JWT']);
    $now = time();
    $exp = $now + 3600;

    $payload = json_encode([
        'iss' => $jsonKey['client_email'],
        'sub' => $jsonKey['client_email'],
        'aud' => 'https://oauth2.googleapis.com/token',
        'iat' => $now,
        'exp' => $exp,
        'scope' => 'https://www.googleapis.com/auth/firebase.messaging'
    ]);

    $base64UrlHeader = str_replace(['+', '/', '='], ['-', '_', ''], base64_encode($header));
    $base64UrlPayload = str_replace(['+', '/', '='], ['-', '_', ''], base64_encode($payload));
    $signature = '';

    $data = $base64UrlHeader . '.' . $base64UrlPayload;
    openssl_sign($data, $signature, $jsonKey['private_key'], 'sha256');

    $base64UrlSignature = str_replace(['+', '/', '='], ['-', '_', ''], base64_encode($signature));
    $jwt = $data . '.' . $base64UrlSignature;

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, 'https://oauth2.googleapis.com/token');
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query([
        'grant_type' => 'urn:ietf:params:oauth:grant-type:jwt-bearer',
        'assertion' => $jwt
    ]));

    $response = curl_exec($ch);
    if (curl_errno($ch)) {
        echo 'Curl error: ' . curl_error($ch);
    }
    curl_close($ch);

    $responseData = json_decode($response, true);
    //print_r($responseData);exit;
    if (isset($responseData['access_token'])) {
        return $responseData['access_token'];
    } else {
        echo 'Error fetching access token: ' . $response;
        return null;
    }
        
}
/*notification access token*/

/*index*/
public function index(){
    //$data['categories'] = $this->registermodel->common_fetch_asc('categories',['status' => 1,'delete_status' => 1]);
   // $data['users_count']  = $this->registermodel->common_fetch_rows('users',[]);
	$this->load->view('admin/includes/header');
	//$this->load->view('admin/home',$data);
	$this->load->view('admin/includes/footer');
}
/*index*/

/*users*/
public function users(){
   $this->load->view('admin/includes/header');
   $this->load->view('admin/users');
   $this->load->view('admin/includes/footer');
}
public function get_users(){
    $data = $this->registermodel->get_users();
    //echo $this->db->last_query();exit;
    echo json_encode($data);
}
public function change_user_status(){
    $id = $this->input->post('id');
    $status = $this->input->post('status');
    $this->registermodel->common_update('users',['status' => $status],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
/*users*/

/*executives*/
public function executives(){
   $this->load->view('admin/includes/header');
   $this->load->view('admin/executives');
   $this->load->view('admin/includes/footer');
}
public function get_executives(){
    $data = $this->registermodel->common_fetch('executives',['delete_status' => 1]);
    //echo $this->db->last_query();exit;
    echo json_encode($data);
}
public function change_executive_status(){
    $id = $this->input->post('id');
    $status = $this->input->post('status');
    $this->registermodel->common_update('executives',['status' => $status],['id' => $id]);
    echo json_encode(['success' => true, 'message' => 'data updated successfully']);
    return;
}
public function add_executive(){
   $this->load->view('admin/includes/header');
   $this->load->view('admin/add_executive');
   $this->load->view('admin/includes/footer');
}
/*users*/



}

?>